Subject: Re: Using a different index and HEAD

From: Tomas Carnecky <[email-masked]>
Date: Sun, 21 Nov 2010 16:16:15 +0100

On 11/13/10 6:25 PM, Jakub Narebski wrote:
> Enrico Weigelt<[email-masked]>  writes:
>
>> I'm currently thinking about an IDE toolkit entirely based on git,
>> which eg. versions every single file save operation (so, IOW: an
>> separately versioned workdir) automatically and later allows to
>> rebase/rework this to tell what really gets committed to the
>> actual working branch. For this multiple indices and refs/HEAD
>> pointers would be very helpful.
> UGFWIWNI (Using Git For What It Was Not Intended) ;-) ?

I haven't seen anyone UGFWIINI for in a long time. Either that or my 
perception of 'not intended for' has changed. Maybe we should make a 
second round of the contest and see what use cases people came up with 
since the first UGFWIINI round (it's been almost two years). I'd 
certainly be interested :)

tom